Перейти к содержимому

List Bots

GET
/v1/bots
curl --request GET \
--url https://api.cloud.agentums.ru/v1/bots \
--header 'Authorization: Bearer <token>'

Боты владельца + флаг «можно ли завести ещё» (для кнопки «+»).

Successful Response

Media typeapplication/json
BotListOut
object
can_create
Can Create
boolean
default: true
items
Items
Array<object>
BotOut

Карточка бота для экрана «Боты» и мастера.

object
agent_slug
required
Agent Slug
string
allowlist_count
Allowlist Count
integer
0
can_read_all_messages
Can Read All Messages
boolean
created_at
Created At
string
""
deep_link
Deep Link
string
""
enabled
required
Enabled
boolean
id
required
Id
string
owner_bound
required
Owner Bound
boolean
provider
required
Provider
string
title
required
Title
string
username
required
Username
string
webhook_set
required
Webhook Set
boolean
limit
Limit
integer
0
Example
{
"can_create": true,
"items": [
{
"allowlist_count": 0,
"can_read_all_messages": false,
"created_at": "",
"deep_link": ""
}
],
"limit": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}